onscripter(6)

NAME
onscripter — NScripter-compatible visual novel games engine

SYNOPSIS

onscripter [option ...]

DESCRIPTION

This manual page documents briefly the onscripter command.

This manual page was written for the Debian distribution because the original program does not have a manual page.

onscripter is a program that implements the visual novel games engine NScripter. It is able to run Japanese (Shift-JIS encoding) games. onscripter-1byte is built in order to play English games by forcing 1-byte mode.

OPTIONS

These programs follow the usual GNU command line syntax, with long options starting with two dashes (`-'). A summary of options is included below.

--cdaudio
    Use CD audio if available.

--cdnumber no
    Choose the CD-ROM drive number.

-f file           --font file
    Set a TTF font file.

--registry file
    Set a registry file.

--dll file
    Set a dll file.

-r path           --root path
    Set the root path to the archives.

--fullscreen
    Start in fullscreen mode.

--window
    Start in window mode.

--force-button-shortcut
    Ignore useescspc and getenter command.

--enable-wheeldown-advance
    Advance the text on mouse wheeldown event.

--disable-rescale
    Do not rescale the images in the archives when compiled with -DPDA.

--edit
    Enable editing the volumes and the variables when 'z' is pressed.

--key-exe file
    Set a file (*.EXE) that includes a key table.

-h           --help
    Show summary of options.

-v           --version
    Show version of program.

EXAMPLE

After decompressing the game data directory, we call it /path/foo for convient, please use the follow command to perform the game:

onscripter -r /path/foo

If the game is not containing default.ttf, we can use -f to assign one as following:

onscripter -r /path/foo -f /usr/share/fonts/truetype/vlgothic/VL-Gothic-Regular.ttf

AUTHOR

This manual page was written by Ying-Chun Liu (PaulLiu) grandpaul@gmail.com for the Debian system (but may be used by others). Permission is granted to copy, distribute and/or modify this document under the terms of the GNU General Public License, Version 2 any later version published by the Free Software Foundation.

On Debian systems, the complete text of the GNU General Public License can be found in /usr/share/common-licenses/GPL.